package com.mwt.oes.dao;

import com.mwt.oes.domain.Paper;
import com.mwt.oes.domain.PaperExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PaperMapper {
    int countByExample(PaperExample example);

    int deleteByExample(PaperExample example);

    int deleteByPrimaryKey(Integer paperId);

    int insert(Paper record);

    int insertSelective(Paper record);

    List<Paper> selectByExample(PaperExample example);

    Paper selectByPrimaryKey(Integer paperId);

    int updateByExampleSelective(@Param("record") Paper record, @Param("example") PaperExample example);

    int updateByExample(@Param("record") Paper record, @Param("example") PaperExample example);

    int updateByPrimaryKeySelective(Paper record);

    int updateByPrimaryKey(Paper record);

    int selectMaxPaperId();

    /**
     * 查询当前可考试卷
     * @param paper_status
     * @return
     */
    List<Paper> selectCurrentPaperList(@Param("paper_status") Integer paper_status);


}